# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)


## v4.4.160
  - 11abaca7d5b9 Linux 4.4.160

  ACK: iwamatsu

  - 93ae8552ec98 dm thin metadata: fix __udivdi3 undefined on 32-bit

  ACK: iwamatsu

  - 20ba8a53a1ef ocfs2: fix locking for res->tracking and dlm->tracking_list

  ACK: iwamatsu

  - 574757073482 proc: restrict kernel stack dumps to root

  ACK: iwamatsu

  - 8ec9cef30515 crypto: mxs-dcp - Fix wait logic on chan threads

  ACK: iwamatsu

  - c3ae79907424 ALSA: hda/realtek - Cannot adjust speaker's volume on Dell XPS 27 7760

  ACK: iwamatsu, add quirk

  - ec2a4f06e31f smb2: fix missing files in root share directory listing
  - 17a6446ac75d xen: fix GCC warning and remove duplicate EVTCHN_ROW/EVTCHN_COL usage
  
  iwamatsu: Fix GCC warning

  - 3ff6443780f1 xen: avoid crash in disable_hotplug_cpu

  ACK: iwamatsu

  - 6899f2fe641c xen/manage: don't complain about an empty value in control/sysrq node
  - cd65a43f4dfb cifs: read overflow in is_valid_oplock_break()
  - e12134726af8 s390/qeth: don't dump past end of unknown HW header

  IGN: for s390 arch issue
  
  - 02975ee7377f r8169: Clear RTL_FLAG_TASK_*_PENDING when clearing RTL_FLAG_TASK_ENABLED
  - d1271cd1348c arm64: jump_label.h: use asm_volatile_goto macro instead of "asm goto"
  - ad4f63ba582b hexagon: modify ffs() and fls() to return int

  IGN: for hexagon arch issue

  - 80908be20fc6 arch/hexagon: fix kernel/dma.c build warning

  IGN: for hexagon arch issue

  - a438d5059666 dm thin metadata: try to avoid ever aborting transactions

  ACK: iwamatsu

  - 8c47defad851 fs/cifs: suppress a string overflow warning
  - ec5947c8aa7a drm/nouveau/TBDdevinit: don't fail when PMU/PRE_OS is missing from VBIOS

  ACK: iwamatsu

  - 6b63d77fbe17 USB: yurex: Check for truncation in yurex_read()

  ACK: iwamatsu

  - 378ee2546842 RDMA/ucma: check fd type in ucma_migrate_id()

  ACK: iwamatsu

  - 0482fe19f6c6 perf probe powerpc: Ignore SyS symbols irrespective of endianness

  ACK: iwamatsu

  - 093da71c6ead usb: gadget: fotg210-udc: Fix memory leak of fotg210->ep[i]

  ACK: iwamatsu

  - 82660490d5e8 mm: madvise(MADV_DODUMP): allow hugetlbfs pages

  ACK: iwamatsu

  - 38ecf178f64a tools/vm/page-types.c: fix "defined but not used" warning

  iwamatsu: Fix warning

  - 0a3026d30f48 tools/vm/slabinfo.c: fix sign-compare warning

  iwamatsu: Fix warning

  - e712dfc22841 mac80211: shorten the IBSS debug messages

  iwamatsu: Fix debug message

  - 8ac8c00f263c mac80211: Fix station bandwidth setting after channel switch

  ACK: iwamatsu

  - 1d9e59cbd3c2 mac80211: fix a race between restart and CSA flows

  ACK: iwamatsu

  - 2c81860b8ebd cfg80211: fix a type issue in ieee80211_chandef_to_operating_class()

  ACK: iwamatsu

  - 2b2ccb29f307 fs/cifs: don't translate SFM_SLASH (U+F026) to backslash

  ACK: iwamatsu

  - ca8aa9f49b56 net: cadence: Fix a sleep-in-atomic-context bug in macb_halt_tx()

  ACK: iwamatsu

  - 293c9b05879b i2c: uniphier-f: issue STOP only for last message or I2C_M_STOP

  ACK: iwamatsu

  - 3a20876cd27d i2c: uniphier: issue STOP only for last message or I2C_M_STOP

  ACK: iwamatsu

  - e02c60d8b79a RAID10 BUG_ON in raise_barrier when force is true and conf->barrier is 0

  ACK: iwamatsu

  - 7445b711282e cfg80211: nl80211_update_ft_ies() to validate NL80211_ATTR_IE

  ACK: iwamatsu

  - dd23c326d63a mac80211: mesh: fix HWMP sequence numbering to follow standard

  ACK: iwamatsu

  - 880b5a109a50 gpio: adp5588: Fix sleep-in-atomic-context bug

  ACK: iwamatsu

  - cef1e353282e mac80211_hwsim: correct use of IEEE80211_VHT_CAP_RXSTBC_X

  ACK: iwamatsu

  - 3ba72689c8d1 mac80211: correct use of IEEE80211_VHT_CAP_RXSTBC_X

  ACK: iwamatsu

  - c7bb863d8ec0 KVM: PPC: Book3S HV: Don't truncate HPTE index in xlate function

  ACK: iwamatsu

  - bbbc4dabca5d media: v4l: event: Prevent freeing event subscriptions while accessed

  ACK: iwamatsu

  - ae22586bb579 arm64: KVM: Sanitize PSTATE.M when being set from userspace

  ACK: iwamatsu

  - fdbd62522431 arm64: cpufeature: Track 32bit EL0 support

  ACK: iwamatsu

  - 4ff0d84e6d99 i2c: i801: Allow ACPI AML access I/O ports not reserved for SMBus

  ACK: iwamatsu

  - 55aaf8e0d9cf hwmon: (adt7475) Make adt7475_read_word() return errors

  ACK: iwamatsu

  - 94516f10f303 hwmon: (ina2xx) fix sysfs shunt resistor read access

  ACK: But this commit fix email adderess too.
 
  - b8d10a09f81a e1000: ensure to free old tx/rx rings in set_ringparam()

  ACK: iwamatsu

  - c5bf8b49cc5a e1000: check on netif_running() before calling e1000_up()

  ACK: iwamatsu

  - aa1c657ae2c3 net: hns: fix length and page_offset overflow when CONFIG_ARM64_64K_PAGES

  ACK: iwamatsu

  - 644c07d0185b thermal: of-thermal: disable passive polling when thermal zone is disabled

  ACK: iwamatsu, wrong coding style
  
  - cd3d6463759d ext4: never move the system.data xattr out of the inode body

  ACK: iwamatsu

  - 14a65511bc7c arm64: KVM: Tighten guest core register access from userspace
  - 9aeb6fd7e2d9 serial: imx: restore handshaking irq for imx1

  ACK: iwamatsu

  - 739d24491c95 scsi: target: iscsi: Use bin2hex instead of a re-implementation

  iwamatsu: No bugfix, changed using function

  - 9c5da7111311 IB/srp: Avoid that sg_reset -d ${srp_device} triggers an infinite loop

  ACK: iwamatsu

  - 640ddaa0c07c Input: elantech - enable middle button of touchpad on ThinkPad P72

  ACK: iwamatsu, add ID of input device

  - 1df1f7369637 USB: remove LPM management from usb_driver_claim_interface()

  ACK: iwamatsu

  - acdc177dcc87 Revert "usb: cdc-wdm: Fix a sleep-in-atomic-context bug in service_outstanding_interrupt()"

  ACK: iwamatsu

  - 30948c685b98 USB: usbdevfs: restore warning for nonsensical flagsa
  
  iwamatsu: Add more debug(warnig) message. not bugfix.

  - 26eaa502770c USB: usbdevfs: sanitize flags more

  ACK: iwamatsu

  - 78769e876f57 media: uvcvideo: Support realtek's UVC 1.5 device

  iwamatsu: Add new feature.

  - de2aac8ee0fb slub: make ->cpu_partial unsigned int

  ACK: iwamatsu

  - 06fc0ef3ef7f USB: handle NULL config in usb_find_alt_setting()

  ACK: iwamatsu

  - ae96945ac60c USB: fix error handling in usb_driver_claim_interface()

  ACK: iwamatsu

  - 3851c90a348c spi: rspi: Fix interrupted DMA transfers

  ACK: iwamatsu

  - 3613559be6e4 spi: rspi: Fix invalid SPI use during system suspend

  iwamatsu: No bugfix, Add support suspend

  - 348abf931415 spi: sh-msiof: Fix handling of write value for SISTR register
  - 6b35618c6e97 spi: sh-msiof: Fix invalid SPI use during system suspend

  iwamatsu: No bugfix, Add support suspend

  - 7c5a3916b59a spi: tegra20-slink: explicitly enable/disable clock

  ACK: iwamatsu

  - da9d7fd84db0 serial: cpm_uart: return immediately from console poll

  ACK: iwamatsu

  - ef0a9f76fda4 floppy: Do not copy a kernel pointer to user memory in FDGETPRM ioctl

  ACK: iwamatsu

  - 7b9d445c2005 ARM: dts: dra7: fix DCAN node addresses

  ACK: iwamatsu

  - 953b51b7a398 nfsd: fix corrupted reply to badly ordered compound

  ACK: iwamatsu

  - 10d721285daf module: exclude SHN_UNDEF symbols from kallsyms api

  ACK: iwamatsu

  - 436dae6ae264 ASoC: dapm: Fix potential DAI widget pointer deref when linking DAIs

  ACK: iwamatsu

  - 55e16f49e210 EDAC, i7core: Fix memleaks and use-after-free on probe and remove

  ACK: iwamatsu

  - 7e1b660dc70e scsi: bnx2i: add error handling for ioremap_nocache

  ACK: iwamatsu

  - e645e3c00290 HID: hid-ntrig: add error handling for sysfs_create_group

  ACK: iwamatsu

  - e4b4dd50034f ARM: mvebu: declare asm symbols as character arrays in pmsu.c

  ACK: iwamatsu

  - 3fdd34643ffc wlcore: Add missing PM call for wlcore_cmd_wait_for_event_or_timeout()

  ACK: iwamatsu

  - a08059468391 rndis_wlan: potential buffer overflow in rndis_wlan_auth_indication()

  ACK: iwamatsu

  - 7d73c76e4067 ath10k: protect ath10k_htt_rx_ring_free with rx_ring.lock

  ACK: iwamatsu

  - 3aad9c2a5a13 ALSA: hda: Add AZX_DCAPS_PM_RUNTIME for AMD Raven Ridge

  ACK: iwamatsu

  - 5a816f1495a5 media: tm6000: add error handling for dvb_register_adapter

  ACK: iwamatsu

  - 4e9cf990bf43 drivers/tty: add error handling for pcmcia_loop_config

  ACK: iwamatsu

  - 778ebfa4c973 staging: android: ashmem: Fix mmap size validation

  ACK: iwamatsu

  - 7333c519adb8 media: omap3isp: zero-initialize the isp cam_xclk{a,b} initial data

  ACK: iwamatsu

  - c9fac59ef32a media: soc_camera: ov772x: correct setting of banding filter

  ACK: iwamatsu

  - f63d861f1c61 media: s3c-camif: ignore -ENOIOCTLCMD from v4l2_subdev_call for s_power

  ACK: iwamatsu

  - 8b4ef82205d4 ALSA: snd-aoa: add of_node_put() in error path

  ACK: iwamatsu

  - 0ee9070935b3 s390/extmem: fix gcc 8 stringop-overflow warning
  
  IGN: s390
  
  - 2e1784171531 alarmtimer: Prevent overflow for relative nanosleep

  ACK: iwamatsu

  - 6a9e681b391c powerpc/powernv/ioda2: Reduce upper limit for DMA window size

  ACK: iwamatsu

  - ef9211bb9a76 usb: wusbcore: security: cast sizeof to int for comparison

  ACK: iwamatsu

  - 73b0eecd5844 scsi: ibmvscsi: Improve strings handling

  ACK: iwamatsu

  - 4e6c6a4fd12c scsi: klist: Make it safe to use klists in atomic context

  ACK: iwamatsu

  - cce3c1921d8e scsi: target/iscsi: Make iscsit_ta_authentication() respect the output buffer size

  ACK: iwamatsu

  - a93a75523735 x86/entry/64: Add two more instruction suffixes

  ACK: iwamatsu

  - 4c51e1b78e59 x86/tsc: Add missing header to tsc_msr.c

  ACK: iwamatsu

  - 6a18e32b3567 media: fsl-viu: fix error handling in viu_of_probe()

  ACK: iwamatsu

  - 3e7de9ebadc3 powerpc/kdump: Handle crashkernel memory reservation failure

  ACK: iwamatsu

  - 96b1608d01f5 media: exynos4-is: Prevent NULL pointer dereference in __isp_video_try_fmt()

  ACK: iwamatsu

  - 825fabcb91aa md-cluster: clear another node's suspend_area after the copy is finished

  ACK: iwamatsu

  - 35af729caeaa 6lowpan: iphc: reset mac_header after decompress to fix panic

  ACK: iwamatsu

  - 5fe874e1f349 USB: serial: kobil_sct: fix modem-status error handling

  ACK: iwamatsu

  - 850f9c0c1b84 Bluetooth: Add a new Realtek 8723DE ID 0bda:b009

  ACK: iwamatsu, Add new ID of Bluetooth

  - 97294c24f868 power: vexpress: fix corruption in notifier registration

  ACK: iwamatsu

  - e92968792c2b uwb: hwa-rc: fix memory leak at probe

  ACK: iwamatsu

  - 6732f6d09bde staging: rts5208: fix missing error check on call to rtsx_write_register

  ACK: iwamatsu

  - 12b093d3b644 x86/numa_emulation: Fix emulated-to-physical node mapping

  ACK: iwamatsu

  - 344edd7fc408 vmci: type promotion bug in qp_host_get_user_memory()

  ACK: iwamatsu

  - 2c4d20c8c2d6 tsl2550: fix lux1_input error in low light

  ACK: iwamatsu

  - 52965d6f52e6 crypto: skcipher - Fix -Wstringop-truncation warnings

  ACK: iwamatsu, fix warning with gcc9
